Skip to main content
GET
/
v0
/
facts
/
{id}
Get a single fact by ID
curl --request GET \
  --url https://api.avidoai.com/v0/facts/{id} \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
import requests

url = "https://api.avidoai.com/v0/facts/{id}"

headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};

fetch('https://api.avidoai.com/v0/facts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2024-01-05T12:34:56.789Z",
    "modifiedAt": "2024-01-05T12:34:56.789Z",
    "orgId": "org-123",
    "applicationId": "456e4567-e89b-12d3-a456-426614174000",
    "quickstartId": "123e4567-e89b-12d3-a456-426614174000",
    "sourceDocumentId": "123e4567-e89b-12d3-a456-426614174000",
    "statement": "The refund policy allows returns within 30 days of purchase.",
    "scope": "TOPIC",
    "status": "ACTIVE",
    "sourceQuote": "Returns are accepted within 30 days.",
    "generatedBy": "MANUAL",
    "isVerified": false,
    "topics": [
      {
        "id": "789e4567-e89b-12d3-a456-426614174000",
        "orgId": "org_123456",
        "applicationId": "456e4567-e89b-12d3-a456-426614174000",
        "title": "Code Quality",
        "baseline": 0.85,
        "status": "ACTIVE",
        "isInScope": true,
        "isTasksVerified": false,
        "isDocumentsVerified": false,
        "isKnowledgeBaseVerified": false,
        "isPoliciesVerified": false,
        "createdAt": "2024-01-05T12:34:56.789Z",
        "modifiedAt": "2024-01-05T12:34:56.789Z",
        "assignedTo": "user_789012",
        "assignedUser": {
          "id": "user_789012",
          "name": "John Doe",
          "email": "john@example.com",
          "image": "https://example.com/avatar.jpg"
        },
        "evalDefinitions": [
          {
            "topicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "evalDefinition": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "createdAt": "2024-01-05T12:34:56.789Z",
              "modifiedAt": "2024-01-05T12:34:56.789Z",
              "name": "<string>",
              "globalConfig": {
                "criterion": "<string>"
              },
              "styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "application": {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "orgId": "org_123456",
                "title": "Customer Support Bot",
                "slug": "customer-support-bot",
                "description": "AI assistant for customer support inquiries",
                "context": "You are a helpful customer support assistant...",
                "language": "en",
                "type": "CHATBOT",
                "environment": "DEV",
                "humanAnnotationEnabled": false,
                "createdAt": "2024-01-05T12:34:56.789Z",
                "modifiedAt": "2024-01-05T12:34:56.789Z"
              },
              "topics": [
                "456e4567-e89b-12d3-a456-426614174000"
              ]
            },
            "config": {
              "expected": "<string>"
            }
          }
        ],
        "taskCount": 5,
        "documentCount": 3
      }
    ]
  }
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Fact not found"
}
{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}
{
"message": "Resource not found"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the fact

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

includeTopics
boolean

Include topic relations in response

Example:

"true"

Response

Successfully retrieved fact

Successful response containing the fact data

data
Fact · object
required

A knowledge fact for a specific application